/** webstyle.js 
  for all page control
*/
/** lockscreen after save btn  protect double click**/
.overlay_lockscreen {
    background-color:lightblue;
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 1000;
    top: 0px;
    left: 0px;
    opacity: .5; /* in FireFox */ 
    filter: alpha(opacity=50); /* in IE */
}
.successmsg {
	color: #2ECC71;
	font-weight: bold;
	font-size: 17px;
}
.errormsg {
	color: #FF0000;
	font-weight: bold;
	font-size: 17px;
}
.warningMsg {
	color: 	#ffcc00 ;
	font-weight: bold;
	font-size: 17px;
}
.linePromotion {
	background-color: #F7DC6F;
}
.listboxStyle {
  background-color: #FFFFFF;
  height: 30px;
}

.normalText {
	color: #000000;
}
.normalCenterText {
	color: #000000;
	text-align:center;
}
.errorText {
	color: red;
}
.errorInputText {
	background-color: red;
}
.errorRow {
	background-color: red;
}
.warningRow {
	background-color: #ffcc00 ;
}
.errorDisableText {
	background-color: #DCDCDC;
	color: red;
	border: 1px solid;
	border-color: #BEBEBE;
	text-align:center;
}
.errorDisableTextCenter {
	background-color: #DCDCDC;
	color: #EC7063;
	border: 1px solid;
	border-color: #BEBEBE;
}
.inputText {
    font-family: sans-serif;
    height: calc(1.5em + .75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 0.975rem;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;
}
.inputTextBold {
    font-family: sans-serif;
    height: calc(1.5em + .75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 0.975rem;
    font-weight:bold;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;
}
.disableText {
	font-family: sans-serif;
    height: calc(1.5em + .75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 0.875rem;
    line-height: 1.5;
    color: #495057;
    background-color:#E9ECEF;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;
}
.disableTextCenter {
	font-family: sans-serif;
    height: calc(1.5em + .75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 0.975rem;
    line-height: 1.5;
    color: #495057;
    background-color:#E9ECEF;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;
    text-align:center;
}
.disableTextBigBold {
	font-family: sans-serif;
    height: calc(1.5em + .75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 1.5rem;
    line-height: 1.5;
    color: #495057;
    background-color:#E9ECEF;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;
}
.enableNumber {
	font-family: sans-serif;
    height: calc(1.5em + .75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 0.975rem;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;
    text-align: right;
}

.errorNumber {
	font-family: sans-serif;
    height: calc(1.5em + .75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 0.975rem;
    line-height: 1.5;
    color: #495057;
    background-color: #EC7063;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;
    text-align: right;
}
.enableNumberBold {
	font-family: sans-serif;
    height: calc(1.5em + .75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 0.975rem;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;
    text-align: right;
    font-weight: bold;
}
.disableNumber {
	font-family: sans-serif;
    height: calc(1.5em + .75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 0.975rem;
    line-height: 1.5;
    color: #495057;
    background-color:#E9ECEF;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;
    text-align: right;
}
.disableNumberBold {
	font-family: sans-serif;
    height: calc(1.5em + .75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 0.975rem;
    line-height: 1.5;
    color: #495057;
    background-color:#E9ECEF;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;
    text-align: right;
    font-weight: bold;
}
.normalTextInput {
	font-family: sans-serif;
    height: calc(1.5em + .75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 0.975rem;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;
}
.errorTextInput {
	font-family: sans-serif;
    height: calc(1.5em + .75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 0.975rem;
    line-height: 1.5;
    color: #000000;
    background-color: #EC7063;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;
}
.errorNumberInput {
	font-family: sans-serif;
    height: calc(1.5em + .75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 0.975rem;
    line-height: 1.5;
    color: #000000;
    background-color: #EC7063;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;
    text-align: right;
}
.lineSave {
	background-color: #76D7C4;
}

::placeholder {
  opacity: 0.3 !important;
}

/** blink text **/
.blink_me {
    animation: blinker 2s linear infinite;
    border: 1px ;
}
@keyframes blinker {
    50% {
        opacity: 0;
    }
}
 .progress-bar-animated {
     -webkit-animation: 1s linear infinite progress-bar-stripes !important;
     animation: 1s linear infinite progress-bar-stripes !important;
 }
  .nowrap {
     white-space:nowrap;
  }

/** flow color style **/
#flow-status-draft {
	color: #000000;
}
.flow-status-cancel {
	color: #E74C3C;
}
#flow-status-post {
	color: #000000;
}
.flow-status-reject {
	color: #FFC516;
}
.flow-status-verify {
	color: #A569BD;
}
.flow-status-approve {
	color: #52BE80;
}
/** in other case by page **/
.flow-status-pcchecked {
	color: #FFAC1C;
}
.flow-status-pcclose {
	color: #229954;
}
.flow-status-pcCloseNoJob {
	color: #E74C3C;
}

